initial commit

This commit is contained in:
wt
2024-11-01 12:46:26 +07:00
commit cf0750198d
27 changed files with 929 additions and 0 deletions
Executable
+281
View File
@@ -0,0 +1,281 @@
#!/bin/sh
########## #### ####
########## #### ####
## ## ## ## ## ##
## ## ## ## ## ##
########## ## ## ## - PACKAGE MANAGER FOR SIMPLE LINUX
########## ## ## ## - AUTHOR -- TOLA MIRONCENKO
## ## ##
## ## ##
## ## ##
## ## ##
#----- colors -------
. /usr/lib/init/colors.sh
#--------------------
#---------------- variables --------------------------
rootdir=/
repofile=$rootdir/etc/pm/repo
packagesqueryfile=$rootdir/usr/share/pm/query
reposquerydir=$rootdir/usr/share/pm/repos
cachedpkgdir=$rootdir/var/cache/pm/pkg
installedpackagesdir=$rootdir/usr/share/pm/packages
#-----------------------------------------------------
#---------------- check root priveleges function ------------------------
checkroot() {
if [[ $(id -u) != 0 ]]; then
printf "$YELLOW**$BRED error:$RESET you must be root\n"
exit 1
fi
}
checkroot
#------------------------------------------------------------------------
#----------------- add(install) package function ------------------------
add() {
if [[ "$1" == "" ]]; then
help
exit 0
fi
for i in $*; do
if [[ "$i" == "add" ]]; then
continue
fi
done
for i in $*; do
if [[ "$i" == "add" ]]; then
continue
fi
down $i
done
for i in $*; do
if [[ "$i" == "add" ]]; then
continue
fi
unpack $cachedpkgdir/$i.pkg.gz
done
}
#------------------------------------------------------------------------
#-------------------- download package without install function ---------
down() {
if [[ ! $1 ]]; then
help
exit 0
fi
servers=$(cat $repofile)
for i in $servers; do
serverdir=$(echo $i | sed -e "/http:\/\//s///")
repoquery=$(cat $reposquerydir/$serverdir/query | sed -e '/.pkg.gz/s///')
for j in $repoquery; do
if [[ $j == $1 ]]; then
if [ ! -f $cachedpkgdir/$1.pkg.gz ]; then
printf "$YELLOW**$RESET Downloading $YELLOW$serverdir: $Bwhite$j\n$RESET"
wget $i/$1.pkg.gz -P $cachedpkgdir
if [[ "$?" == "0" ]]; then
printf "$YELLOW**$GREEN successful downloaded $1\n$RESET"
return
else
printf "$YELLOW**$RED error:$RESET can't download package\n"
exit 1
fi
else
printf "$YELLOW**$GREEN successful downloaded $1\n$RESET"
return
fi
# exit 0
fi
done
done
printf "$YELLOW**$RED error:$RESET can't find package $1\n"
exit 1
}
#------------------------------------------------------------------------
#-------------------- unpack local package archive ----------------------
unpack() {
packagename=$(echo $1 | sed -e "/.gz/s///")
packagename=${packagename#*pkg/}
printf "$YELLOW**$GREEN Installing ${packagename%.pkg*}\n$RESET"
if [[ "$(cat $packagesqueryfile | grep ${packagename%.pkg*})" != "" ]]; then
printf "$YELLOW**$RESET Package already installed:$YELLOW reinstalling\n"
fi
tar -xvf $1 -C $rootdir/tmp &> /dev/null
cd $rootdir/tmp/$packagename
mkdir $installedpackagesdir/$packagename &> /dev/null
mv -v list $installedpackagesdir/$packagename &> /dev/null
cp -rv ./* $rootdir &> /dev/null
if [ -f $rootdir/tmp/$packagename/post_install ]; then
sh -c $rootdir/tmp/$packagename/post_install
fi
if [[ "$(cat $packagesqueryfile | grep ${packagename%.pkg*})" == "" ]]; then
echo ${packagename%.pkg*} >> $packagesqueryfile
fi
rm -rv $rootdir/tmp/$packagename &> /dev/null
printf "$YELLOW**$GREEN Installed ${packagename%.pkg*} successful\n$RESET"
}
#------------------------------------------------------------------------
#------------------ delete package function -----------------------------
del() {
printf "$YELLOW**$GREEN deleting\n$RESET"
for i in $*; do
if [[ "$i" == "del" ]]; then
continue
fi
printf "$YELLOW**$GREEN deleting $i\n$RESET"
if [ ! -f $installedpackagesdir/$i.pkg/list ]; then
printf "$YELLOW**$BRED error:$RESET package not installed\n"
exit 0
fi
rm -v $rootdir/$(cat $installedpackagesdir/$i.pkg/list) &> /dev/null
rm -rv $installedpackagesdir/$i.pkg &> /dev/null
sed -i "/$i/d" $packagesqueryfile
printf "$YELLOW**$GREEN delete $i successful\n$RESET"
done
}
#------------------------------------------------------------------------
#------------------- list files in package function ---------------------
list() {
if [[ "$1" == "" ]]; then
help
exit 0
fi
if [[ "$(cat $packagesqueryfile | grep $1)" == "" ]]; then
printf "$YELLOW**$BRED error:$RESET package is not installed\n"
exit 1
fi
filelist=$(cat $installedpackagesdir/$1.pkg/list)
for i in $filelist; do
printf "$YELLOW$1: $BWHITE$i$RESET\n"
done
}
#------------------------------------------------------------------------
#------------------- show installed packages function -------------------
query() {
packagesquery=$(cat $packagesqueryfile)
if [[ "$packagesquery" == "" ]]; then
printf "$YELLOW**$BWHITE No installed packages\n"
exit 0
fi
printf "$packagesquery\n"
}
#------------------------------------------------------------------------
#--------------------- show help function -------------------------------
help() {
printf "
$YELLOW**$GREEN pm usage$RESET :
$BWHITE pm add [package name] - download and install from repository
pm unpack [/path/to/package/archive] - unpack(install) from local package archive
pm down [package name] - download package from repository without install
pm del [package name] - delete package
pm list [package name] - list files in package
pm search [package name] - search package in repository
pm query - show installed packages
pm help - this help message
pm clear - clear all package archives from cached packages directory
pm sync - synchronize repository
$YELLOW**$GREEN examples$RESET :
$BWHITE pm add dnsmasq
pm unpack ./dnsmasq.pkg.gz
pm down dnsmasq
pm search dnsmasq
pm help
pm clear
pm sync
pm del dnsmasq
pm list dnsmasq
pm query
\n$RESET"
}
#------------------------------------------------------------------------
#------------------- sync repo function ---------------------------------
sync() {
servers=$(cat $repofile)
for i in $servers; do
serverdir=$(echo $i | sed -e "/http:\//s///")
mkdir $reposquerydir/$serverdir &> /dev/null
wget $i/query -O $reposquerydir/$serverdir/query &> /dev/null
done
}
#------------------------------------------------------------------------
#----------------- search package in repo function ----------------------
search() {
servers=$(cat $repofile)
if [[ ! $1 ]]; then
for i in $servers; do
serverdir=$(echo $i | sed -e "/http:\/\//s///")
repoquery=$(cat $reposquerydir/$serverdir/query | sed -e '/.pkg.gz/s///')
for j in $repoquery; do
printf "$YELLOW$serverdir: $BWHITE$j\n$RESET"
done
done
exit 0
fi
for i in $servers; do
serverdir=$(echo $i | sed -e "/http:\/\//s///")
repoquery=$(cat $reposquerydir/$serverdir/query | sed -e '/.pkg.gz/s///')
for j in $repoquery; do
if [[ $j == $1 ]]; then
printf "$YELLOW$serverdir: $BWHITE$j\n$RESET"
exit 0
fi
done
done
printf "$YELLOW**$RED error:$RESET can't find package ($1)\n"
}
#------------------------------------------------------------------------
#------------------- clear cached packages directory --------------------
clear() {
rm -v $cachedpkgdir/*
}
#------------------------------------------------------------------------
case "$1" in
add)
add $*
;;
down)
down $2
;;
unpack)
unpack $2
;;
del)
del $*
;;
list)
list $2
;;
query)
query
;;
help)
help
;;
sync)
sync
;;
search)
search $2
;;
clear)
clear
;;
*)
help
;;
esac
Executable
+168
View File
@@ -0,0 +1,168 @@
#!/bin/sh
########## ##########
########## ##########
## ## ##
## ##
## ## - RC BOOT SCRIPTS MANAGER FOR SIMPLE LINUX
## ## - AUTHOR -- TOLA MIRONCENKO
## ##
## ##
## ##########
## ##########
rootdir=$(pwd)
#----- colors -------
. $rootdir/usr/lib/init/colors.sh
#--------------------
#------------------------ add to boot function --------------
add() {
resultlink=$(cat $rootdir/usr/share/rc/orders | grep $1)
if [ -f $rootdir/usr/lib/init/services/$1.service ] && [ $resultlink ]; then
cd $rootdir/etc/rc.d
ln -sv $rootdir/usr/lib/init/services/$1.service "$resultlink" &> /dev/null
printf "$BLUE**$GREEN SUCCESS:$BWHITE added $1 to init.\n$RESET"
else
help
fi
}
#------------------------------------------------------------
#--------------------- del from boot function ---------------
del() {
filetoremove=$(find $rootdir/etc/rc.d/ | grep $1 )
if [ $filetoremove ]; then
rm -v $filetoremove &> /dev/null
printf "$BLUE**$GREEN SUCCESS:$BWHITE removed $1 from init.\n$RESET"
else
help
fi
}
#------------------------------------------------------------
#---------------------- start daemon function ---------------
start() {
if [ -f $rootdir/etc/init.d/$1 ]; then
$rootdir/etc/init.d/$1 start
else
help
fi
}
#------------------------------------------------------------
#---------------- stop daemon function ----------------------
stop() {
if [ -f $rootdir/etc/init.d/$1 ]; then
$rootdir/etc/init.d/$1 stop
else
help
fi
}
#------------------------------------------------------------
#------------- restart daemon function ----------------------
restart() {
if [ -f $rootdir/etc/init.d/$1 ]; then
$rootdir/etc/init.d/$1 restart
else
help
fi
}
#------------------------------------------------------------
#------------------ list services ---------------------------
list() {
ls --color $rootdir/usr/lib/init/services
}
#------------------------------------------------------------
#------------------ list enabled services -------------------
bootlist() {
ls --color $rootdir/etc/rc.d
}
#------------------------------------------------------------
#------------------ service status --------------------------
status() {
if [[ "$1" == "" ]]; then
help
exit 0
fi
if [[ "$(ls $rootdir/etc/init.d | grep $1)" == "" ]]; then
printf "$YELLOW**$BRED error:$RESET can't find service /etc/init.d/$1\n"
exit 1
fi
printf "$YELLOW**$GREEN $1$RESET\n"
rcdservice=$(ls $rootdir/etc/rc.d | grep $1 2> /dev/null)
if [[ "$rcdservice" == "" ]]; then
printf "Loaded:$YELLOW unloaded$RESET (/etc/rc.d)\n"
else
printf "Loaded:$GREEN loaded$RESET (/etc/rc.d/$rcdservice)\n"
fi
servicepid=$(ls $rootdir/var/run | grep $1)
if [[ "$servicepid" == "" ]]; then
printf "Active: deactive (${YELLOW}deactive$RESET)\n"
else
printf "Active: active (${GREEN}running$RESET); pid (/var/run/$servicepid)\n"
fi
}
#------------------------------------------------------------
#-------------- print help function -------------------------
help() {
echo "
** rc usage:
rc add [init.d script name] - add service on boot
rc del [init.d script name] - delete service from boot
rc start [init.d script name] - start service
rc stop [init.d script name] - stop service
rc restart [init.d script name] - restart service
rc list - list all services
rc bootlist - list enabled services
rc status [init.d script name] - check service status
examples:
rc add httpd
rc del httpd
rc start httpd
rc stop httpd
rc restart httpd
rc list
rc bootlist
"
}
#------------------------------------------------------------
command="$1"
case ${command} in
add)
add $2 $3
;;
del)
del $2
;;
start)
start $2
;;
stop)
stop $2
;;
restart)
restart $2
;;
list)
list
;;
bootlist)
bootlist
;;
status)
status $2
;;
*)
help
;;
esac
+82
View File
@@ -0,0 +1,82 @@
#!/bin/sh
#--- reset colors ---
RESET="\033[0m"
#--------------------
#--------- regularcolrs ---------
GREEN="\033[0;32m" #GREEN
BLUE="\033[0;34m" #BLUE
YELLOW="\033[1;33m" #YELLOW
RED="\033[0;31m" #RED
BLACK="\033[0;30m" #BLACK
PURPLE="\033[0;35m" #PURPLE
CYAN="\033[0;36m" #CYAN
WHITE="\033[0;37m" #WHITE
#--------------------------------
#-------- bold ------------------
BBLACK="\033[1;30m" #BLACK
BRED="\033[1;31m" #RED
BGREEN="\033[1;32m" #GREEN
BYELLOW="\033[1;33m" #YELLOW
BBLUE="\033[1;34m" #BLUE
BPURPLE="\033[1;35m" #PURPLE
BCYAN="\033[1;36m" #CYAN
BWHITE="\033[1;37m" #WHITE
#--------------------------------
#-------- Underline -------------
UBLACK="\033[4;30m" #BLACK
URED="\033[4;31m" #RED
UGREEN="\033[4;32m" #GREEN
UYELLOW="\033[4;33m" #YELLOW
UBLUE="\033[4;34m" #BLUE
UPURPLE="\033[4;35m" #PURPLE
UCYAN="\033[4;36m" #CYAN
UWHITE="\033[4;37m" #WHITE
#--------------------------------
#--------- Background -----------
ON_BLACK="\033[40m" #BLACK
ON_RED="\033[41m" #RED
ON_GREEN="\033[42m" #GREEN
ON_YELLOW="\033[43m" #YELLOW
ON_BLUE="\033[44m" #BLUE
ON_PURPLE="\033[45m" #PURPLE
ON_CYAN="\033[46m" #CYAN
ON_WHITE="\033[47m" #WHITE
#--------------------------------
#------ HighIntensity -----------
IBLACK="\033[0;90m" #BLACK
IRED="\033[0;91m" #RED
IGREEN="\033[0;92m" #GREEN
IYELLOW="\033[0;93m" #YELLOW
IBLUE="\033[0;94m" #BLUE
IPURPLE="\033[0;95m" #PURPLE
ICYAN="\033[0;96m" #CYAN
IWHITE="\033[0;97m" #WHITE
#--------------------------------
#------ BoldHighIntensity -------
BIBLACK="\033[1;90m" #BLACK
BIRED="\033[1;91m" #RED
BIGREEN="\033[1;92m" #GREEN
BIYELLOW="\033[1;93m" #YELLOW
BIBLUE="\033[1;94m" #BLUE
BIPURPLE="\033[1;95m" #PURPLE
BICYAN="\033[1;96m" #CYAN
BIWHITE="\033[1;97m" #WHITE
#--------------------------------
#--- HighIntensitybackgrounds ---
ON_IBLACK="\033[0;100m" #BLACK
ON_IRED="\033[0;101m" #RED
ON_IGREEN="\033[0;102m" #GREEN
ON_IYELLOW="\033[0;103m" #YELLOW
ON_IBLUE="\033[0;104m" #BLUE
ON_IPURPLE="\033[0;105m" #PURPLE
ON_ICYAN="\033[0;106m" #CYAN
ON_IWHITE="\033[0;107m" #WHITE
#--------------------------------
+56
View File
@@ -0,0 +1,56 @@
#!/bin/sh
#--- import colors ---
. /usr/lib/init/colors.sh
#---------------------
#------------ rc function to poweron or poweroff ------------
rc() {
if [ -d /etc/rc.d ] && [ $0 == "/etc/init.d/rcK" ]; then
for service in $(ls -r /etc/rc.d); do
/etc/rc.d/$service stop
done
return 1
fi
for service in /etc/rc.d/??*; do
[ ! -f "$service" ] && continue
case "$service" in
*.sh)
(
trap - INT QUIT TSTP
set start
. $service
)
;;
*)
$service start
;;
esac
done
sleep 1
return 1
}
#------------------------------------------------------------
#--- restart function ---
restart() {
$0 stop
$0 start
}
#------------------------
#--- help function ---
help() {
echo "$0 init script usage: $0 {start|stop|restart|reload}"
}
#---------------------
#------------ check status function ------------
check() {
if [ $1 -ne 0 ]; then
printf "$BBLUE**$BRED ERROR: $2\n$RESET"
return
fi
printf "$BBLUE**$BGREEN SUCCESS: $2\n$RESET"
}
#-----------------------------------------------
+28
View File
@@ -0,0 +1,28 @@
#!/bin/sh
#--- import colors and init-funcs ---
. /usr/lib/init/colors.sh
. /usr/lib/init/init-funcs.sh
#------------------------------------
case "$1" in
start)
printf "$BBLUE**$BYELLOW Starting dnsd\n$RESET"
/usr/bin/dnsd -d -c /etc/dnsd.conf
check $? "start dnsd"
echo $(pgrep dnsd) > /var/run/dnsd.pid
;;
stop)
printf "$BBLUE**$BYELLOW Stopping dnsd\n$RESET"
kill $(cat /var/run/dnsd.pid)
check $? "stop dnsd"
rm /var/run/dnsd.pid
;;
restart|reload)
restart
;;
*)
help
return 1
esac
return $?
+27
View File
@@ -0,0 +1,27 @@
#!/bin/sh
#--- import colors and init-funcs ---
. /usr/lib/init/colors.sh
. /usr/lib/init/init-funcs.sh
#------------------------------------
case "$1" in
start)
printf "$BBLUE**$BYELLOW Starting dnsmasq\n$RESET"
/usr/bin/dnsmasq --user=dnsmasq --pid-file=/var/run/dnsmasq.pid
check $? "start dnsmasq"
;;
stop)
printf "$BBLUE**$BYELLOW Stopping dnsmasq\n$RESET"
kill $(cat /var/run/dnsmasq.pid)
check $? "stop dnsmasq"
rm /var/run/dnsmasq.pid &> /dev/null
;;
restart|reload)
restart
;;
*)
help
;;
esac
return $?
+28
View File
@@ -0,0 +1,28 @@
#!/bin/sh
#--- import colors and init-funcs ---
. /usr/lib/init/colors.sh
. /usr/lib/init/init-funcs.sh
#------------------------------------
case "$1" in
start)
printf "$BBLUE**$BYELLOW Starting ftpd\n$RESET"
tcpsvd -vE 0.0.0.0 21 ftpd -w -S -A /srv/ftpd &>/dev/null &
check $? "start ftpd"
echo $(pgrep tcpsvd) > /ar/run/ftpd.pid
;;
stop)
printf "$BBLUE**$BYELLOW Stopping ftpd\n$RESET"
kill $(cat /var/run/ftpd.pid)
check $? "stop ftpd"
rm /var/run/ftpd.pid
;;
restart|reload)
restart
;;
*)
help
return 1
esac
return $?
+22
View File
@@ -0,0 +1,22 @@
#!/bin/sh
#--- import colors and init-funcs ---
. /usr/lib/init/colors.sh
. /usr/lib/init/init-funcs.sh
#------------------------------------
case "$1" in
start)
printf "$BBLUE**$BYELLOW Setting up hostname\n$RESET"
/usr/bin/hosname -F /etc/hostname
check $? "Set up hostname"
;;
stop)
;;
restart|reload)
;;
*)
help
return 1
esac
return $?
+29
View File
@@ -0,0 +1,29 @@
#!/bin/sh
#--- import colors and init-funcs ---
. /usr/lib/init/colors.sh
. /usr/lib/init/init-funcs.sh
#------------------------------------
case "$1" in
start)
printf "$BBLUE**$BYELLOW Starting httpd\n$RESET"
/usr/bin/httpd -h /srv/www
check $? "start httpd"
echo $(pgrep httpd) > /var/run/httpd.pid
;;
stop)
printf "$BBLUE**$BYELLOW Stopping httpd\n$RESET"
kill $(cat /var/run/httpd.pid)
check $? "stop httpd"
rm /var/run/httpd.pid
;;
restart|reload)
restart
;;
*)
help
return 1
;;
esac
return $?
+27
View File
@@ -0,0 +1,27 @@
#!/bin/sh
#--- import colors and init-funcs ---
. /usr/lib/init/colors.sh
. /usr/lib/init/init-funcs.sh
#------------------------------------
case "$1" in
start)
printf "$BBLUE**$BYELLOW Starting klogd\n$RESET"
/usr/bin/klogd
check $? "start klogd"
;;
stop)
printf "$BBLUE**$BYELLOW Stopping klogd\n$RESET"
kill $(cat /var/run/klogd.pid)
check $? "stop klogd"
rm /var/run/klogd.pid &> /dev/null
;;
restart|reload)
restart
;;
*)
help
;;
esac
reurn $?
+30
View File
@@ -0,0 +1,30 @@
#!/bin/sh
#--- import colors and init-funcs ---
. /usr/lib/init/colors.sh
. /usr/lib/init/init-funcs.sh
#------------------------------------
case "$1" in
start)
printf "$BBLUE**$BYELLOW Starting networking\n$RESET"
/usr/bin/ifup -a
check $? "networking"
echo $! > /var/run/networking.pid
;;
stop)
printf "$BBLUE**$BYELLOW Stopping netowrking\n$RESET"
/usr/bin/ifdown -a
check $? "Stop networking"
if [ -f /var/run/neworking.pid ]; then
rm /var/run/networking.pid
fi
;;
restart|reload)
restart
;;
*)
help
return 1
esac
return $?
+28
View File
@@ -0,0 +1,28 @@
#!/bin/sh
#--- import colors and init-funcs ---
. /usr/lib/init/colors.sh
. /usr/lib/init/init-funcs.sh
#------------------------------------
case "$1" in
start)
printf "$BBLUE**$BYELLOW Starting syslogd\n$RESET"
/usr/bin/syslogd
check $? "start syslogd"
;;
stop)
printf "$BBLUE**$BYELLOW Stopping syslogd\n$RESET"
kill $(cat /var/run/syslogd.pid)
check $? "stop syslogd"
rm /var/run/syslogd.pid &> /dev/null
;;
restart|reload)
restart
;;
*)
help
return 1
;;
esac
return $?
+28
View File
@@ -0,0 +1,28 @@
#!/bin/sh
#--- import colors and init-funcs ---
. /usr/lib/init/colors.sh
. /usr/lib/init/init-funcs.sh
#------------------------------------
case "$1" in
start)
printf "$BBLUE**$BYELLOW Starting telnetd\n$RESET"
/usr/bin/telnetd -p 23
check $? "start telnetd"
echo $(gprep telnetd) > /var/run/telnetd.pid
;;
stop)
printf "$BBLUE**$BYELLOW Stopping telnetd\n$RESET"
kill $(cat /var/run/telnetd.pid)
check $? "stop telnetd"
rm /var/run/telnetd.pid &> /dev/null
;;
restart|reload)
restart
;;
*)
help
;;
esac
return $?
+16
View File
@@ -0,0 +1,16 @@
01hostname
02klogd
03syslogd
04swap
05networking
06sysctl
07dnsmasq
08dnsd
09telnetd
10ssh
11iptables
12openrouterinit
13ftpd
14hostapd
15httpd
16nginx
+65
View File
@@ -0,0 +1,65 @@
#!/bin/sh
[ -z "$1" ] && echo "Error: should be called from udhcpc" && exit 1
RESOLV_CONF="/etc/resolv.conf"
[ -n "$broadcast" ] && BROADCAST="broadcast $broadcast"
[ -n "$subnet" ] && NETMASK="netmask $subnet"
# return 0 if root is mounted on a network filesystem
root_is_nfs() {
grep -qe '^/dev/root.*\(nfs\|smbfs\|ncp\|coda\) .*' /proc/mounts
}
have_bin_ip=0
if [ -x /usr/bin/ip ]; then
have_bin_ip=1
fi
case "$1" in
deconfig)
if ! root_is_nfs ; then
if [ $have_bin_ip -eq 1 ]; then
ip addr flush dev $interface
ip link set dev $interface up
else
/usr/bin/ifconfig $interface 0.0.0.0
fi
fi
;;
renew|bound)
if [ $have_bin_ip -eq 1 ]; then
ip addr add dev $interface local $ip/$mask $BROADCAST
else
/usr/bin/ifconfig $interface $ip $BROADCAST $NETMASK
fi
if [ -n "$router" ] ; then
if ! root_is_nfs ; then
if [ $have_bin_ip -eq 1 ]; then
while ip route del default 2>/dev/null ; do
:
done
else
while route del default gw 0.0.0.0 dev $interface 2>/dev/null ; do
:
done
fi
fi
metric=0
for i in $router ; do
if [ $have_bin_ip -eq 1 ]; then
ip route add default via $i metric $((metric++))
else
route add default gw $i dev $interface metric $((metric++)) 2>/dev/null
fi
done
fi
echo -n > $RESOLV_CONF
[ -n "$domain" ] && echo search $domain >> $RESOLV_CONF
for i in $dns ; do
echo adding dns $i
echo nameserver $i >> $RESOLV_CONF
done
;;
esac
exit 0